Index: tools/xcw/bin/helenos-bld-config
===================================================================
--- tools/xcw/bin/helenos-bld-config	(revision 616f5dd374d278b942175913d4e7b7a01086e781)
+++ tools/xcw/bin/helenos-bld-config	(revision 616f5dd374d278b942175913d4e7b7a01086e781)
@@ -0,0 +1,60 @@
+#!/bin/bash
+#
+# Copyright (c) 2015 Jiri Svoboda
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# - Redistributions of source code must retain the above copyright
+#   notice, this list of conditions and the following disclaimer.
+# - Redistributions in binary form must reproduce the above copyright
+#   notice, this list of conditions and the following disclaimer in the
+#   documentation and/or other materials provided with the distribution.
+# - The name of the author may not be used to endorse or promote products
+#   derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Get build configration information
+# HelenOS Cross Compiler Wrapper (XCW)
+# Facilitate cross-compiling external software to HelenOS
+#
+
+SRC_ROOT="$(dirname "$0")/../../.."
+MAKEFILE_COMMON="$SRC_ROOT"/Makefile.common
+MAKEFILE_CONFIG="$SRC_ROOT"/Makefile.config
+
+# Extract simple 'name = value' variable definition from Makefile
+function extract_field
+{
+	field_name="$1"
+	file_name="$2"
+
+	sed -n "s/^$field_name = \\(.*\\)$/\\1/p" "$file_name"
+}
+
+case ".$1" in
+(.--cc) extract_field "CC" "$MAKEFILE_COMMON";;
+(.--ld) extract_field "LD" "$MAKEFILE_COMMON";;
+(.--uarch) extract_field "UARCH" "$MAKEFILE_CONFIG";;
+(.--endian)
+	UARCH=`extract_field "UARCH" "$MAKEFILE_CONFIG"`
+	ENDIAN=`extract_field "ENDIANESS" "$SRC_ROOT/uspace/lib/c/arch/$UARCH/Makefile.common"`
+	echo "__${ENDIAN}__"
+	;;
+(*)
+	echo "Unknown option $1" >&2
+	echo "Usage: helenos-pkg-config {--cc|--ld|--uarch|--endian}" >&2
+	exit 1;;
+esac
